Pl/Controllers/EducationController.cs
using Bll;
using Bll.Extensions;
using Bll.Interfaces;
using Bll.Models;
using Pl.Models;
using System.Threading.Tasks;
using System.Web.Mvc;

namespace Pl.Controllers
{
    /// <summary>
    /// Education controller
    /// </summary>
    [Authorize(Roles = "User")]
    public class EducationController : Controller
    {
        private readonly IEducationService _educationService;
        private readonly IEducationLevelService _educationLevelService;
        public EducationController(IEducationService educationService, IEducationLevelService educationLevelService)
        {
            _educationService = educationService;
            _educationLevelService = educationLevelService;
        }

        public async Task<ActionResult> GetAllEducations()
        {
            return PartialView("AllEducations", await _educationService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        public async Task<ActionResult> RemoveEducation(int id)
        {
            await _educationService.DeleteByIdAsync(id);
            return PartialView("AllEducationsPartial", await _educationService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        public async Task<ActionResult> AddEducation()
        {
            var educationWithLevels = new EducationWithLevels()
            {
                EducationLevelModels = await _educationLevelService.GetAllAsync(),
                EducationModel = new EducationModel()
            };
            return View(educationWithLevels);
        }

        [HttpPost]
        public async Task<ActionResult> AddEducation(EducationWithLevels educationWithLevels)
        {
            if(ModelState.IsValid)
            {
                try
                {
                    educationWithLevels.EducationModel.UserId = User.Identity.GetUserId();
                    await _educationService.AddAsync(educationWithLevels.EducationModel);
                    return RedirectToAction("GetAllEducations");
                }
                catch(CustomException ex)
                {
                    ModelState.AddModelError(ex.ParamName, ex.Message);
                }
            }
            educationWithLevels.EducationLevelModels = await _educationLevelService.GetAllAsync();
            return View(educationWithLevels);
        }

        public async Task<ActionResult> EditEducation(int id)
        {
            var educationWithLevels = new EducationWithLevels()
            {
                EducationModel = await _educationService.GetByIdAsync(id),
                EducationLevelModels = await _educationLevelService.GetAllAsync()
            };
            return View(educationWithLevels);
        }

        [HttpPost]
        public async Task<ActionResult> EditEducation(EducationWithLevels educationWithLevels)
        {
            if (ModelState.IsValid)
            {
                try
                {
                    await _educationService.UpdateAsync(educationWithLevels.EducationModel);
                    return RedirectToAction("GetAllEducations");
                }
                catch (CustomException ex)
                {
                    ModelState.AddModelError(ex.ParamName, ex.Message);
                }
            }
            educationWithLevels.EducationLevelModels = await _educationLevelService.GetAllAsync();
            return View(educationWithLevels);
        }
    }
}

Pl/Controllers/SummaryController.cs
using Bll.Extensions;
using Bll.Interfaces;
using Bll.Models;
using Pl.Models;
using PagedList;
using Rotativa;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Web.Mvc;

namespace Pl.Controllers
{
    /// <summary>
    /// Summary controller
    /// </summary>
    [Authorize]
    public class SummaryController : Controller
    {
        private readonly ISummaryService _summaryService;
        private readonly IPositionService _positionService;
        private readonly IUserService _userService;
        private readonly IEducationService _educationService;
        private readonly IWorkExperienceService _workExperienceService;
        public SummaryController(ISummaryService summaryService, IUserService userService, IPositionService positionService,
            IEducationService educationService, IWorkExperienceService workExperienceService)
        {
            _summaryService = summaryService;
            _userService = userService;
            _positionService = positionService;
            _educationService = educationService;
            _workExperienceService = workExperienceService;
        }

        [AllowAnonymous]
        public async Task<ActionResult> Main(int page=1, IEnumerable<int> positionIds=null)
        {
            int pageSize = 4;
            var userWithSummaries = await _summaryService.GetAvailableSummariesByPositionIdAsync(positionIds);
            ViewBag.Positions = await _positionService.GetAllAsync();
            ViewBag.PositionIds = positionIds;
            return View(userWithSummaries.ToPagedList(page, pageSize));
        }

        public async Task<ActionResult> PrintSummaryToPdf(int id)
        {
            var summary = await _summaryService.GetByIdAsync(id);
            var userWithSummary = new UserWithSummary()
            {
                UserModel = await _userService.GetUserByIdAsync(summary.UserId),
                SummaryModel = summary
            };
            return new ViewAsPdf("SummaryToPrint", userWithSummary);
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> ShowSummariesByEducationId(int id)
        {
            return PartialView("SummariesListPartial", await _summaryService.GetAllByEducationIdAsync(User.Identity.GetUserId(), id));
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> ShowSummariesByWorkExperienceId(int id)
        {
            return PartialView("SummariesListPartial", await _summaryService.GetAllByWorkIdAsync(User.Identity.GetUserId(), id));
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> ShowUserSummaries()
        {
            return View("AllSummaries", await _summaryService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        [Authorize(Roles = "User")]
        public ActionResult CreateNewSummary()
        {
            return RedirectToAction("ChangeProfileAjax", "User");
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> AddSummaryAjax()
        {
            var userId = User.Identity.GetUserId();
            var fullSummary = new FullSummary()
            {
                Positions = await _positionService.GetAllAsync(),
                Educations=await _educationService.GetAllByUserIdAsync(userId),
                WorkExperiences=await _workExperienceService.GetAllByUserIdAsync(userId),
                Summary=new SummaryModel()
            };
            return PartialView("AddSummaryPartialAjax", fullSummary);
        }

        [Authorize(Roles = "User")]
        [HttpPost]
        public async Task<ActionResult> AddSummary(FullSummary fullSummary)
        {
            if (!ModelState.IsValid)
            {
                var userId = User.Identity.GetUserId();
                fullSummary.Positions = await _positionService.GetAllAsync();
                fullSummary.Educations = await _educationService.GetAllByUserIdAsync(userId);
                fullSummary.WorkExperiences = await _workExperienceService.GetAllByUserIdAsync(userId);
                return PartialView("AddSummaryPartialAjax", fullSummary);
            }
            else
            {
                fullSummary.Summary.UserId = User.Identity.GetUserId();
                await _summaryService.CreateFullSummaryAsync(fullSummary.Summary, fullSummary.EducationIds, fullSummary.WorkExperienceIds);
                return PartialView("AddSuccess");
            }
        }

        [AllowAnonymous]
        public async Task<ActionResult> GetSummaryDetails(int id)
        {
            var summary = await _summaryService.GetByIdAsync(id);
            var userWithSummary = new UserWithSummary()
            {
                UserModel = await _userService.GetUserByIdAsync(summary.UserId),
                SummaryModel = summary
            };
            return View("SummaryDetails", userWithSummary);
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> RemoveSummary(int id)
        {
            await _summaryService.DeleteByIdAsync(id);
            return PartialView("SummariesListPartial", await _summaryService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> RestoreSummary(int id)
        {
            await _summaryService.RestoreSummaryAsync(id);
            return PartialView("SummariesListPartial", await _summaryService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> HideSummary(int id)
        {
            await _summaryService.HideSummaryAsync(id);
            return PartialView("SummariesListPartial", await _summaryService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        [Authorize(Roles = "User")]
        public async Task<ActionResult> EditSummary(int id)
        {
            var userId = User.Identity.GetUserId();
            var summary = await _summaryService.GetByIdAsync(id);
            var fullSummary = new FullSummary()
            {
                Summary = summary,
                Positions = await _positionService.GetAllAsync(),
                Educations = await _educationService.GetAllByUserIdAsync(userId),
                WorkExperiences = await _workExperienceService.GetAllByUserIdAsync(userId),
                EducationIds= summary.Educations.Select(i=>i.Id),
                WorkExperienceIds = summary.WorkExperiences.Select(i => i.Id)
            };
            return View(fullSummary);
        }

        [Authorize(Roles = "User")]
        [HttpPost]
        public async Task<ActionResult> EditSummary(FullSummary fullSummary)
        {
            if(ModelState.IsValid)
            {
                await _summaryService.UpdateFullSummaryAsync(fullSummary.Summary, fullSummary.EducationIds, fullSummary.WorkExperienceIds);
                return RedirectToAction("ShowUserSummaries");
            }
            else
            {
                var userId = User.Identity.GetUserId();
                fullSummary.Positions = await _positionService.GetAllAsync();
                fullSummary.Educations = await _educationService.GetAllByUserIdAsync(userId);
                fullSummary.WorkExperiences = await _workExperienceService.GetAllByUserIdAsync(userId);
                return View(fullSummary);
            }
        }

        [Authorize(Roles = "Employer")]
        public async Task<ActionResult> GetUserFavorites()
        {
            return View("Favorites", await _summaryService.GetAvailableSummariesFromFavorites(User.Identity.GetUserId()));
        }

        [Authorize(Roles = "Employer")]
        public async Task<ActionResult> AddToFavorites(int id)
        {
            await _summaryService.AddToFavorites(id, User.Identity.GetUserId());
            return RedirectToAction("GetSummaryDetails", new { id });
        }

        [Authorize(Roles = "Employer")]
        public async Task<ActionResult> RemoveFromFavorites(int id)
        {
            await _summaryService.RemoveFromFavorites(id, User.Identity.GetUserId());
            return RedirectToAction("GetSummaryDetails", new { id });
        }
    }
}

Pl/Controllers/WorkExperienceController.cs
using Bll;
using Bll.Extensions;
using Bll.Interfaces;
using Bll.Models;
using System.Threading.Tasks;
using System.Web.Mvc;

namespace Pl.Controllers
{
    /// <summary>
    /// Work Experience controller
    /// </summary>
    [Authorize(Roles = "User")]
    public class WorkExperienceController : Controller
    {
        private readonly IWorkExperienceService _workExperienceService;
        public WorkExperienceController(IWorkExperienceService workExperienceService)
        {
            _workExperienceService = workExperienceService;
        }
        public async Task<ActionResult> GetAllWorkExperiences()
        {
            return PartialView("AllWorkExperiences", await _workExperienceService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        public ActionResult AddWorkExperience()
        {
            return View(new WorkExperienceModel());
        }

        public async Task<ActionResult> RemoveWorkExperience(int id)
        {
            await _workExperienceService.DeleteByIdAsync(id);
            return PartialView("AllWorkExperiencesPartial", await _workExperienceService.GetAllByUserIdAsync(User.Identity.GetUserId()));
        }

        [HttpPost]
        public async Task<ActionResult> AddWorkExperience(WorkExperienceModel workExperienceModel)
        {
            if(ModelState.IsValid)
            {
                try
                {
                    workExperienceModel.UserId = User.Identity.GetUserId();
                    await _workExperienceService.AddAsync(workExperienceModel);
                    return RedirectToAction("GetAllWorkExperiences");
                }
                catch(CustomException ex)
                {
                    ModelState.AddModelError(ex.ParamName, ex.Message);
                }
            }
            return View(workExperienceModel);
        }

        public async Task<ActionResult> EditWorkExperience(int id)
        {
            return View(await _workExperienceService.GetByIdAsync(id));
        }

        [HttpPost]
        public async Task<ActionResult> EditWorkExperience(WorkExperienceModel workExperienceModel)
        {
            if (ModelState.IsValid)
            {
                try
                {
                    await _workExperienceService.UpdateAsync(workExperienceModel);
                    return RedirectToAction("GetAllWorkExperiences");
                }
                catch (CustomException ex)
                {
                    ModelState.AddModelError(ex.ParamName, ex.Message);
                }
            }
            return View(workExperienceModel);
        }
    }
}

Pl/Views/User/AllUsers.cshtml
@model IEnumerable<UserModel>
@using Bll.Models
@using Pl.Helper.HtmlExtensions
@{
    ViewBag.Title = "AllUsers";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">All Users</h2>
    </div>
    <table class="table table-striped">
        <tr>
            <th scope="col">
                User
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.Email)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.PhoneNumber)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.Role)
            </th>
            <th scope="col">
                @Html.DisplayNameFor(model => model.ProfileImage)
            </th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)<br>
                    @Html.DisplayFor(modelItem => item.Surname)<br>
                    @Html.DisplayFor(modelItem => item.Patronymic)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Email)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.PhoneNumber)
                </td>
                <td>
                    Current: @Html.DisplayFor(modelItem => item.Role)
                    @{Html.RenderPartial("RoleSelectorPartial", ((IEnumerable<RoleModel>)ViewBag.Roles, item.Id));}
                </td>
                <td>
                    <div class="profile-image-min">
                        @if (!string.IsNullOrWhiteSpace(item.ProfileImage))
                        {
                            @Html.ConvertBase64ToImage(item.ProfileImage)
                        }
                        else
                        {
                            <img src="~/Content/Images/NoProfilePhoto.png">
                        }
                    </div>
                </td>
                <td>
                    @Html.ActionLink("Delete", "DeleteUser", new { userId = item.Id }, new { @class = "btn btn-danger" })
                </td>
            </tr>
        }
    </table>
</div>

Pl/Views/User/ChangeProfile.cshtml
@model Bll.Models.UserModel
@{
    ViewBag.Title = "ChangeProfile";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="container rounded border border-1 mt-5 mb-5 h-fit-cont">
    @using (Html.BeginForm("ChangeProfile", "User", FormMethod.Post, new { enctype = "multipart/form-data" }))
    {
        { Html.RenderPartial("ChangeProfilePartial", Model); }
    }
    @section Scripts {
        @Scripts.Render("~/bundles/jqueryval")
    }
</div>

Pl/Views/User/ChangeProfileAjax.cshtml
@model Bll.Models.UserModel

<div class="container rounded border border-1 mt-5 mb-5 h-fit-cont">
    @using (Ajax.BeginForm("ChangeProfileAjax", "User", new AjaxOptions() {HttpMethod="Post", UpdateTargetId= "SummaryCreationId" }, new { enctype = "multipart/form-data" }))
    {
        { Html.RenderPartial("~/Views/User/ChangeProfilePartial.cshtml", Model); }
    }
    @section Scripts {
        @Scripts.Render("~/bundles/jqueryval")
    }
</div>

Pl/Views/User/ChangeProfilePartial.cshtml
@model Bll.Models.UserModel
@using Pl.Helper.HtmlExtensions

@Html.AntiForgeryToken()
<div class="row">
    <div class="col-md-4 border-end">
        <div class="d-flex flex-column align-items-center text-center p-3 py-5">
            <div class="profile-image">
                @if (!string.IsNullOrWhiteSpace(Model.ProfileImage))
                {
                    @Html.ConvertBase64ToImage(Model.ProfileImage)
                }
                else
                {
                    <img src="~/Content/Images/NoProfilePhoto.png" class="profile-image">
                }
            </div>
            <span class="font-weight-bold">@Model.Name @Model.Surname</span>
            <span class="text-black-50">@Model.Role</span>
            <div class="col-md-12">
                @Html.LabelFor(model => model.Image, "Change Profile Image", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                <div class="col-md-10 w-100">
                    <input name="Image" type="file" accept="image/*" class="border border-1 rounded w-100" />
                </div>
            </div>
            <span>@Html.ValidationMessageFor(model => model.Image, "", new { @class = "text-danger" })</span>
            <span>@Html.ValidationSummary(true, "", new { @class = "text-danger" })</span>
            @Html.HiddenFor(model => model.ProfileImage)
        </div>
    </div>

    <div class="col-md-8 border-end">
        <div class="p-3 py-5">
            <div class="d-flex justify-content-between align-items-center mb-3">
                <h4 class="text-right">Profile Settings</h4>
            </div>
            <div class="row mt-2">
                <div class="col-md-6">
                    @Html.LabelFor(model => model.Name, "Name", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-6">
                    @Html.LabelFor(model => model.Surname, "Surname", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Surname, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Surname, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="row mt-3">
                <div class="col-md-12">
                    @Html.LabelFor(model => model.Patronymic, "Patronymic", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Patronymic, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Patronymic, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-12">
                    @Html.LabelFor(model => model.Email, "Email", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-12">
                    @Html.LabelFor(model => model.PhoneNumber, "Phone", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.PhoneNumber, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.PhoneNumber, "", new { @class = "text-danger" })
                    </div>
                </div>
                <div class="col-md-6">
                    @Html.LabelFor(model => model.Age, "Age", htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10 w-100">
                        @Html.EditorFor(model => model.Age, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Age, "", new { @class = "text-danger" })
                    </div>
                </div>
            </div>
            <div class="mt-5 text-center"><button class="btn btn-primary profile-button" type="submit">Save Profile</button></div>
        </div>
    </div>
</div>

Pl/Views/User/Login.cshtml
@model Bll.Models.LoginModel

@{
    ViewBag.Title = "Login";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">Login</h2>
    </div>

    <div class="d-flex justify-content-center w-50">
        <div class="border border-2 border-dark rounded-1 p-2 w-75 m-5">
            @using (Html.BeginForm("Login", "User", FormMethod.Post))
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="mb-3">
                        @Html.LabelFor(model => model.Email, "Email", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.Password, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.Password, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Password, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="d-flex justify-content-center">
                        <button type="submit" class="btn btn-primary d-flex">Login</button>
                    </div>
                </div>
            }

            @section Scripts {
                @Scripts.Render("~/bundles/jqueryval")
            }
        </div>
    </div>
</div>

Pl/Views/User/Profile.cshtml
@model Pl.Models.UserWithSummaries
@using Pl.Helper.HtmlExtensions
@Styles.Render("~/bundles/profile")

@{
    ViewBag.Title = "Profile";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex ">Your profile</h2>
    </div>
    <div class="container profile">
        <div class="row">
            <div class="col-md-5">
                <div class="row justify-content-center">
                    <div class="col-12 bg-white p-0 px-3 py-3 mb-3">
                        <div class="d-flex flex-column align-items-center">
                            <div class="profile-image">
                                @if (!string.IsNullOrWhiteSpace(Model.UserModel.ProfileImage))
                                {
                                    @Html.ConvertBase64ToImage(Model.UserModel.ProfileImage)
                                }
                                else
                                {
                                    <img src="~/Content/Images/NoProfilePhoto.png" class="profile-image">
                                }
                            </div>
                            <p class="fw-bold h4 mt-3">@Model.UserModel.Name @Model.UserModel.Surname</p>
                        </div>
                    </div>
                    <div class="d-flex justify-content-center row w-75">
                        <div class="d-flex justify-content-center mb-2">
                            @Html.ActionLink("Change Profile", "ChangeProfile", "User", null, new { @class = "btn btn-info" })
                        </div>
                        @if (User.IsInRole("User"))
                        {
                            <div class="btn-group mb-2" role="group" aria-label="Basic mixed styles example">
                                @Html.ActionLink("My Educations", "GetAllEducations", "Education", null, new { @class = "btn btn-success" })
                                @Html.ActionLink("Add Education", "AddEducation", "Education", null, new { @class = "btn btn-warning" })
                            </div>
                            <div class="btn-group" role="group" aria-label="Basic mixed styles example">
                                @Html.ActionLink("My Works", "GetAllWorkExperiences", "WorkExperience", null, new { @class = "btn btn-success" })
                                @Html.ActionLink("Add Work", "AddWorkExperience", "WorkExperience", null, new { @class = "btn btn-warning" })
                            </div>
                        }
                    </div>
                </div>
            </div>
            <div class="col-md-7 ps-md-4">
                <div class="row">
                    <div class="col-12 bg-white px-3 mb-3 pb-3">
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Full Name</p>
                            <p class="py-2 text-muted">@Model.UserModel.Surname @Model.UserModel.Name @Model.UserModel.Patronymic</p>
                        </div>
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Email</p>
                            <p class="py-2 text-muted">@Model.UserModel.Email</p>
                        </div>
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Phone</p>
                            <p class="py-2 text-muted">@Model.UserModel.PhoneNumber</p>
                        </div>
                        <div class="d-flex align-items-center justify-content-between border-bottom">
                            <p class="py-2">Age</p>
                            @if (Model.UserModel.Age != 0)
                            {
                                <p class="py-2 text-muted">@Model.UserModel.Age</p>
                            }
                        </div>
                    </div>
                </div>
                @if (User.IsInRole("User"))
                {
                    <div class="d-flex justify-content-center mb-3">
                        @Html.ActionLink("Add Summary", "CreateNewSummary", "Summary", null, new { @class = "btn btn-primary" })
                    </div>
                    <div id="SummariesListPartialId">
                        @{Html.RenderPartial("~/Views/Summary/SummariesListPartial.cshtml", Model.SummaryModels);}
                    </div>
                }
            </div>
        </div>
    </div>
</div>

Pl/Views/User/RoleSelectorPartial.cshtml
@model (IEnumerable<RoleModel>, int)
@using Bll.Models


@using (Html.BeginForm("ChangeUserRole","User", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    
<div class="form-horizontal">
    <input id="userId" name="userId" hidden value="@Model.Item2" />
    <div class="col-md-5 select-option-dropdown">
        <select name="userRole" required>
            @foreach (var role in Model.Item1)
            {
                <option value="@role.Id">@role.Name</option>
            }
        </select>
    </div>
    <input type="submit" class="btn btn-warning" value="Save">
</div>
}